#show or hide hidden files in mac finder

show=$(defaults read com.apple.finder AppleShowAllFiles)
if [ "$show" == "TRUE" ]
then
    defaults write com.apple.finder AppleShowAllFiles FALSE;killall Finder
else [ "$show" == "FALSE" ]
    defaults write com.apple.finder AppleShowAllFiles TRUE;killall Finder
fi

exit
